Page MenuHomeVyOS Platform

dhcpv6 server not starting (disable check reversed?)
In progress, Requires assessmentPublic

Description

If service dhcpv6-service is configured, the service isn't started:

vyos@rt-home:~$ sudo systemctl status isc-dhcp-server6
● isc-dhcp-server6.service - ISC DHCP IPv6 server
   Loaded: loaded (/lib/systemd/system/isc-dhcp-server6.service; disabled; vendor preset: enabled)
   Active: inactive (dead)
     Docs: man:dhcpd(8)
vyos@rt-home:~$ configure 
[edit]
vyos@rt-home# edit service dhcpv6-server 
[edit service dhcpv6-server]
vyos@rt-home# show 
 shared-network-name 6lan {
     subnet xxxx::/64 {
         address-range {
             start xxxx {
                 stop xxxx::ffff
             }
         }
         static-mapping foo {
             identifier xxxx
             ipv6-address xxxx
         }
     }
 }
[edit service dhcpv6-server]

If I disable it and commit, it tries to start the service, but it (logically) fails:

vyos@rt-home# set disable 
[edit service dhcpv6-server]
vyos@rt-home# commit
[ service dhcpv6-server ]



[edit service dhcpv6-server]
vyos@rt-home# sudo systemctl status isc-dhcp-server6
● isc-dhcp-server6.service - ISC DHCP IPv6 server
   Loaded: loaded (/lib/systemd/system/isc-dhcp-server6.service; disabled; vendor preset: enabled)
   Active: failed (Result: exit-code) since Sat 2020-04-18 16:10:42 CEST; 6s ago
     Docs: man:dhcpd(8)
  Process: 28644 ExecStart=/bin/sh -ec      [ -e /config/dhcpdv6.leases ] || touch /config/dhcpdv6.leases;      chown root:vyattacfg /config/dhcpdv6.leases;      chmod 664 /config/dhcpdv6.leases;      exec /usr/
 Main PID: 28644 (code=exited, status=1/FAILURE)

Apr 18 16:10:42 rt-home sh[28644]: exiting.
Apr 18 16:10:42 rt-home dhcpd[28644]: If you think you have received this message due to a bug rather
Apr 18 16:10:42 rt-home systemd[1]: isc-dhcp-server6.service: Main process exited, code=exited, status=1/FAILURE
Apr 18 16:10:42 rt-home dhcpd[28644]: than a configuration issue please read the section on submitting
Apr 18 16:10:42 rt-home systemd[1]: isc-dhcp-server6.service: Failed with result 'exit-code'.
Apr 18 16:10:42 rt-home dhcpd[28644]: bugs on either our web page at www.isc.org or in the README file
Apr 18 16:10:42 rt-home dhcpd[28644]: before submitting a bug.  These pages explain the proper
Apr 18 16:10:42 rt-home dhcpd[28644]: process and the information we find helpful for debugging.
Apr 18 16:10:42 rt-home dhcpd[28644]: 
Apr 18 16:10:42 rt-home dhcpd[28644]: exiting.

If I then delete the disable node, it doesn't try to start it again (last started 36s ago when it was disabled):

vyos@rt-home# delete disable 
[edit service dhcpv6-server]
vyos@rt-home# commit
[edit service dhcpv6-server]
vyos@rt-home# sudo systemctl status isc-dhcp-server6
● isc-dhcp-server6.service - ISC DHCP IPv6 server
   Loaded: loaded (/lib/systemd/system/isc-dhcp-server6.service; disabled; vendor preset: enabled)
   Active: failed (Result: exit-code) since Sat 2020-04-18 16:10:42 CEST; 36s ago
     Docs: man:dhcpd(8)
  Process: 28644 ExecStart=/bin/sh -ec      [ -e /config/dhcpdv6.leases ] || touch /config/dhcpdv6.leases;      chown root:vyattacfg /config/dhcpdv6.leases;      chmod 664 /config/dhcpdv6.leases;      exec /usr/
 Main PID: 28644 (code=exited, status=1/FAILURE)

Apr 18 16:10:42 rt-home sh[28644]: exiting.
Apr 18 16:10:42 rt-home dhcpd[28644]: If you think you have received this message due to a bug rather
Apr 18 16:10:42 rt-home systemd[1]: isc-dhcp-server6.service: Main process exited, code=exited, status=1/FAILURE
Apr 18 16:10:42 rt-home dhcpd[28644]: than a configuration issue please read the section on submitting
Apr 18 16:10:42 rt-home systemd[1]: isc-dhcp-server6.service: Failed with result 'exit-code'.
Apr 18 16:10:42 rt-home dhcpd[28644]: bugs on either our web page at www.isc.org or in the README file
Apr 18 16:10:42 rt-home dhcpd[28644]: before submitting a bug.  These pages explain the proper
Apr 18 16:10:42 rt-home dhcpd[28644]: process and the information we find helpful for debugging.
Apr 18 16:10:42 rt-home dhcpd[28644]: 
Apr 18 16:10:42 rt-home dhcpd[28644]: exiting.
[edit service dhcpv6-server]

Details

Difficulty level
Unknown (require assessment)
Version
1.3-rolling-202004141515
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

jjakob created this task.Apr 18 2020, 2:20 PM
jjakob created this object in space S1 VyOS Public.
jjakob changed the task status from Open to In progress.Apr 20 2020, 7:19 PM
jjakob claimed this task.
jjakob moved this task from Need Triage to In Progress on the VyOS 1.3 Equuleus board.